/* Testing palette color and typography overrides */
.single-futuro-das-proficoes,
.post-type-futuro-das-proficoes,
.single-percurso,
.post-type-percursos {
    --theme-palette-color-1: #00aaf0;
    --theme-palette-color-2: #005aaa;
    --theme-palette-color-3: #000000;
    --theme-palette-color-4: #004e89;
    --theme-palette-color-5: #7d7d7d;
    --theme-palette-color-6: #e6e6e6;
    --theme-palette-color-7: #ffffff;
    --theme-palette-color-8: #ffffff;
    --theme-palette-color-9: #c8148c;
    --theme-palette-color-10: #eb008c;
    --theme-palette-color-11: #f06491;
    --theme-palette-color-12: #00a550;
    --theme-palette-color-13: #bed732;
    --theme-palette-color-14: #6ebe55;
    --theme-palette-color-15: #005aaa;
    --theme-palette-color-16: #00aaf0;
    --theme-palette-color-17: #69b4e1;
    --theme-palette-color-18: #faa519;
    --theme-palette-color-19: #fff000;
    --theme-palette-color-20: #fff550;
    --theme-palette-color-21: #000000;
    --theme-palette-color-22: #7d7d7d;
    --theme-palette-color-23: #e6e6e6;
    --theme-palette-color-24: #ffffff;
    --wp--preset--color--palette-color-1: var(--theme-palette-color-1);
    --wp--preset--color--palette-color-2: var(--theme-palette-color-2);
    --wp--preset--color--palette-color-3: var(--theme-palette-color-3);
    --wp--preset--color--palette-color-4: var(--theme-palette-color-4);
    --wp--preset--color--palette-color-5: var(--theme-palette-color-5);
    --wp--preset--color--palette-color-6: var(--theme-palette-color-6);
    --wp--preset--color--palette-color-7: var(--theme-palette-color-7);
    --wp--preset--color--palette-color-8: var(--theme-palette-color-8);
    --wp--preset--color--palette-color-9: var(--theme-palette-color-9);
    --wp--preset--color--palette-color-10: var(--theme-palette-color-10);
    --wp--preset--color--palette-color-11: var(--theme-palette-color-11);
    --wp--preset--color--palette-color-12: var(--theme-palette-color-12);
    --wp--preset--color--palette-color-13: var(--theme-palette-color-13);
    --wp--preset--color--palette-color-14: var(--theme-palette-color-14);
    --wp--preset--color--palette-color-15: var(--theme-palette-color-15);
    --wp--preset--color--palette-color-16: var(--theme-palette-color-16);
    --wp--preset--color--palette-color-17: var(--theme-palette-color-17);
    --wp--preset--color--palette-color-18: var(--theme-palette-color-18);
    --wp--preset--color--palette-color-19: var(--theme-palette-color-19);
    --wp--preset--color--palette-color-20: var(--theme-palette-color-20);
    --wp--preset--color--palette-color-21: var(--theme-palette-color-21);
    --wp--preset--color--palette-color-22: var(--theme-palette-color-22);
    --wp--preset--color--palette-color-23: var(--theme-palette-color-23);
    --wp--preset--color--palette-color-24: var(--theme-palette-color-24);
}
.single-futuro-das-proficoes .site-main,
.single-futuro-das-proficoes .gspb_slidingPanel,
.post-type-futuro-das-proficoes .editor-styles-wrapper,
.single-percurso .site-main,
.single-percurso .gspb_slidingPanel,
.post-type-percursos .editor-styles-wrapper {
    /* --theme-font-family: 'neo-sans', sans-serif; */
    font-family: var(--theme-font-family);
}

/* Classes das cores de background para paletas que não existem nas configurações do tema */
.single-futuro-das-proficoes .has-palette-color-19-background-color,
.single-percurso .has-palette-color-19-background-color {
    background-color: var(--wp--preset--color--palette-color-19) !important;
}
.single-futuro-das-proficoes .has-palette-color-20-background-color,
.single-percurso .has-palette-color-20-background-color {
    background-color: var(--wp--preset--color--palette-color-20) !important;
}
.single-futuro-das-proficoes .has-palette-color-21-background-color,
.single-percurso .has-palette-color-21-background-color {
    background-color: var(--wp--preset--color--palette-color-21) !important;
}
.single-futuro-das-proficoes .has-palette-color-22-background-color,
.single-percurso .has-palette-color-22-background-color {
    background-color: var(--wp--preset--color--palette-color-22) !important;
}
.single-futuro-das-proficoes .has-palette-color-23-background-color,
.single-percurso .has-palette-color-23-background-color {
    background-color: var(--wp--preset--color--palette-color-23) !important;
}
.single-futuro-das-proficoes .has-palette-color-24-background-color,
.single-percurso .has-palette-color-24-background-color {
    background-color: var(--wp--preset--color--palette-color-24) !important;
}

/* Classes das cores de texto para paletas que não existem nas configurações do tema */
.single-futuro-das-proficoes .has-palette-color-19-color,
.single-percurso .has-palette-color-19-color {
    color: var(--wp--preset--color--palette-color-19) !important;
}
.single-futuro-das-proficoes .has-palette-color-20-color,
.single-percurso .has-palette-color-20-color {
    color: var(--wp--preset--color--palette-color-20) !important;
}
.single-futuro-das-proficoes .has-palette-color-21-color,
.single-percurso .has-palette-color-21-color {
    color: var(--wp--preset--color--palette-color-21) !important;
}
.single-futuro-das-proficoes .has-palette-color-22-color,
.single-percurso .has-palette-color-22-color {
    color: var(--wp--preset--color--palette-color-22) !important;
}
.single-futuro-das-proficoes .has-palette-color-23-color,
.single-percurso .has-palette-color-23-color {
    color: var(--wp--preset--color--palette-color-23) !important;
}
.single-futuro-das-proficoes .has-palette-color-24-color,
.single-percurso .has-palette-color-24-color {
    color: var(--wp--preset--color--palette-color-24) !important;
}

/* Classes das cores de borda para paletas que não existem nas configurações do tema */
.single-futuro-das-proficoes .has-palette-color-19-border-color,
.single-percurso .has-palette-color-19-border-color {
    border-color: var(--wp--preset--color--palette-color-19) !important;
}
.single-futuro-das-proficoes .has-palette-color-20-border-color,
.single-percurso .has-palette-color-20-border-color {
    border-color: var(--wp--preset--color--palette-color-20) !important;
}
.single-futuro-das-proficoes .has-palette-color-21-border-color,
.single-percurso .has-palette-color-21-border-color {
    border-color: var(--wp--preset--color--palette-color-21) !important;
}
.single-futuro-das-proficoes .has-palette-color-22-border-color,
.single-percurso .has-palette-color-22-border-color {
    border-color: var(--wp--preset--color--palette-color-22) !important;
}
.single-futuro-das-proficoes .has-palette-color-23-border-color,
.single-percurso .has-palette-color-23-border-color {
    border-color: var(--wp--preset--color--palette-color-23) !important;
}
.single-futuro-das-proficoes .has-palette-color-24-border-color,
.single-percurso .has-palette-color-24-border-color {
    border-color: var(--wp--preset--color--palette-color-24) !important;
}
